﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using Telerik.Windows.Controls;

namespace DockingLanguage
{
    public class ViewModel : ViewModelBase
    {
        private ObservableCollection<string> symbols;

        public ViewModel()
        {
            this.symbols = new ObservableCollection<string>()
            {
                ")", "[", "-", "'", "~", "/", "￥", @"\"
            };
        }

        /// <summary>
        /// Gets or sets Symbols and notifies for changes
        /// </summary>
        public ObservableCollection<string> Symbols
        {
            get
            {
                return this.symbols;
            }

            set
            {
                if (this.symbols != value)
                {
                    this.symbols = value;
                    this.OnPropertyChanged(() => this.Symbols);
                }
            }
        }

    }
}
